/*DBdiagnostic script to identify Patialaddresses imported via CTF after spring release*/

declare @date_spring smalldatetime
select @date_spring = '2019-03-22 00:00:00'

declare @contact_applicant_student as table
(
contact_id int, 
paon varchar(100) COLLATE DATABASE_DEFAULT,
street_description varchar(100) COLLATE DATABASE_DEFAULT,
Town varchar(40) COLLATE DATABASE_DEFAULT, 
district varchar(40) COLLATE DATABASE_DEFAULT, 
administrative varchar(100) COLLATE DATABASE_DEFAULT,
address_id int 
)

insert into @contact_applicant_student
(
contact_id,
paon , 
street_description ,
Town , 
district , 
administrative,
address_id
)
select 
contact_id, 
isnull(sims.census_fnc_get_paon(ltrim(rtrim(isnull(ad.house_number, ''))), ltrim(rtrim(isnull(ad.house_name, '')))) , ''),
ad.street_description,
ad.district,
ad.town,
ad.administrative_area,
ad.address_id
from sims.ctf_imported_contact_data ccd
join sims.ctf_import ci on ci.import_id = ccd.import_id
join sims.adm_application app on app.person_id = ccd.applicant_id
join sims.sims_residence res1 on ccd.contact_id = res1.person_id
join sims.sims_address ad on ad.address_id = res1.address_id 
where ccd.applicant_id is not null 
and ccd.contact_id in (select ar.contact_id from sims.adm_application_relation ar where ar.application_id in (select a2.application_id from sims.adm_application a2 where a2.person_id = ccd.applicant_id ))
and ci.import_date>= @date_spring

union

select 
contact_id, 
isnull(sims.census_fnc_get_paon(ltrim(rtrim(isnull(ad.house_number, ''))), ltrim(rtrim(isnull(ad.house_name, '')))) , ''),
ad.street_description,
ad.district,
ad.town,
ad.administrative_area,
ad.address_id
from sims.ctf_imported_contact_data ccd
join sims.ctf_import ci on ci.import_id = ccd.import_id
join sims.stud_student std on std.person_id = ccd.student_id
join sims.sims_residence res1 on ccd.contact_id = res1.person_id
join sims.sims_address ad on ad.address_id = res1.address_id 
where ccd.student_id is not null 
and ccd.contact_id in (select sr.contact_id from sims.stud_relation sr where sr.student_id = ccd.student_id)
and ci.import_date>= @date_spring

select 'Below are partial addresses imported via CTF after spring2019 release.'

select  distinct p.person_id as ContactId, 
                 p.surname + ' ' + isnull(p.forename,' ') as ContactName,
				 isnull(sims.add_fnc_one_line_address(c.address_id, 0),' ') as PartialAddress
from @contact_applicant_student c 
join sims.sims_person p on p.person_id = c.contact_id
where isnull(PAON,'') = '' OR ISNULL(street_description,'') = '' OR (ISNULL(town,'') = '' AND ISNULL(administrative,'') = '' AND ISNULL(district, '') = '') 
